package dto

// LoginDto represents the login request
type LoginDto struct {
	Email    string `json:"email" example:"admin@example.com"`
	Password string `json:"password" example:"Admin@123456"`
}

// TokenDto represents the response after successful authentication
type TokenDto struct {
	Token string  `json:"token" example:"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"`
	User  UserDto `json:"user"`
}
