package permissions

import (
	"github.com/oklog/ulid/v2"
)

type Role struct {
	ID       ulid.ULID `gorm:"primaryKey;type:bytea"`
	Name     string    `gorm:"unique;not null"`
	Policies []Policy  `gorm:"foreignKey:RoleID"`
}
